hdcp1x: Data Fields

| hdcp1x Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

- All
- Variables

- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- p
- r
- s
- t
- u
- v
- w
- x

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - a -

- Adaptor : XHdcp1x_PortStruct
- AuthAttempts : XHdcp1x_RxStats
- AuthCallback : XHdcp1x_PortStruct
- AuthenticatedCallback : XHdcp1x_Tx , XHdcp1x_Rx
- AuthenticatedCallbackRef : XHdcp1x_Rx , XHdcp1x_Tx
- AuthFailed : XHdcp1x_TxStats
- AuthPassed : XHdcp1x_TxStats
- AuthRef : XHdcp1x_PortStruct

### - b -

- BaseAddress : XHdcp1x_Config

### - c -

- CallbackHandler : XHdcp1x_PortPhyIfAdaptorS
- Cipher : XHdcp1x
- Computed : SHA1Context
- Config : XHdcp1x
- Corrupted : SHA1Context
- CurrentState : XHdcp1x_Rx , XHdcp1x_Tx , XHdcp1x_RxEncyptionWatch

### - d -

- DdcGetDataCallback : XHdcp1x_Rx
- DdcGetDataCallbackRef : XHdcp1x_Rx
- DdcRead : XHdcp1x_Tx
- DdcReadRef : XHdcp1x_Tx
- DdcSetAddressCallback : XHdcp1x_Rx
- DdcSetAddressCallbackRef : XHdcp1x_Rx
- DdcSetDataCallback : XHdcp1x_Rx
- DdcSetDataCallbackRef : XHdcp1x_Rx
- DdcWrite : XHdcp1x_Tx
- DdcWriteRef : XHdcp1x_Tx
- Depth : XHdcp1x_RepeaterExchange
- DeviceCount : XHdcp1x_RepeaterExchange
- DeviceId : XHdcp1x_Config
- Disable : XHdcp1x_PortPhyIfAdaptorS
- DownstreamReady : XHdcp1x_Tx

### - e -

- Enable : XHdcp1x_PortPhyIfAdaptorS
- EncryptionMap : XHdcp1x_Tx
- EncryptionUpdateCallback : XHdcp1x_Rx
- EncryptionUpdateCallbackRef : XHdcp1x_Rx

### - f -

- Flags : XHdcp1x_Tx , XHdcp1x_Rx

### - g -

- GetRepeaterInfo : XHdcp1x_PortPhyIfAdaptorS

### - h -

- Hdcp1xRef : XHdcp1x

### - i -

- Init : XHdcp1x_PortPhyIfAdaptorS
- IntCount : XHdcp1x_CipherStats , XHdcp1x_PortStats
- Intermediate_Hash : SHA1Context
- IntrHandler : XHdcp1x_PortPhyIfAdaptorS
- IsAuthCallbackSet : XHdcp1x_PortStruct
- IsAuthenticatedCallbackSet : XHdcp1x_Rx , XHdcp1x_Tx
- IsAuthReqPending : XHdcp1x_Tx
- IsCapable : XHdcp1x_PortPhyIfAdaptorS
- IsDdcGetDataCallbackSet : XHdcp1x_Rx
- IsDdcReadSet : XHdcp1x_Tx
- IsDdcSetAddressCallbackSet : XHdcp1x_Rx
- IsDdcSetDataCallbackSet : XHdcp1x_Rx
- IsDdcWriteSet : XHdcp1x_Tx
- IsEncryptionUpdateCallbackSet : XHdcp1x_Rx
- IsHDMI : XHdcp1x_Config
- IsLinkFailCallbackSet : XHdcp1x_Cipher
- IsReady : XHdcp1x
- IsRepeater : XHdcp1x_PortPhyIfAdaptorS , XHdcp1x
- IsRepeaterDownstreamAuthCallbackSet : XHdcp1x_Rx
- IsRepeaterExchangeCallbackSet : XHdcp1x_Tx
- IsRiUpdateCallbackSet : XHdcp1x_Cipher
- IsRx : XHdcp1x_Config
- IsTopologyUpdateCallbackSet : XHdcp1x_Rx
- IsUnauthenticatedCallbackSet : XHdcp1x_Rx , XHdcp1x_Tx

### - k -

- KsvList : XHdcp1x_RepeaterExchange

### - l -

- Length_High : SHA1Context
- Length_Low : SHA1Context
- LinkCheckFailed : XHdcp1x_TxStats
- LinkCheckPassed : XHdcp1x_TxStats
- LinkFailCallback : XHdcp1x_Cipher
- LinkFailRef : XHdcp1x_Cipher
- LinkFailures : XHdcp1x_RxStats

### - m -

- Message_Block : SHA1Context
- Message_Block_Index : SHA1Context

### - p -

- PendingEvents : XHdcp1x_Tx , XHdcp1x_Rx
- PhyIfPtr : XHdcp1x_PortStruct
- Port : XHdcp1x
- PreviousState : XHdcp1x_Rx , XHdcp1x_Tx , XHdcp1x_RxEncyptionWatch

### - r -

- Read : XHdcp1x_PortPhyIfAdaptorS
- ReadFailures : XHdcp1x_TxStats
- ReauthRequested : XHdcp1x_TxStats
- RepeaterDownstreamAuthCallback : XHdcp1x_Rx
- RepeaterDownstreamAuthRef : XHdcp1x_Rx
- RepeaterExchangeCallback : XHdcp1x_Tx
- RepeaterExchangeRef : XHdcp1x_Tx
- RepeaterValues : XHdcp1x
- RiUpdateCallback : XHdcp1x_Cipher
- RiUpdateRef : XHdcp1x_Cipher
- RiUpdates : XHdcp1x_RxStats
- Rx : XHdcp1x

### - s -

- SetRepeater : XHdcp1x_PortPhyIfAdaptorS
- StateHelper : XHdcp1x_Tx
- Stats : XHdcp1x_Rx , XHdcp1x_Tx , XHdcp1x_PortStruct , XHdcp1x_Cipher
- SysFrequency : XHdcp1x_Config

### - t -

- TopologyUpdateCallback : XHdcp1x_Rx
- TopologyUpdateCallbackRef : XHdcp1x_Rx
- Tx : XHdcp1x
- TxIsHdmi : XHdcp1x_Tx

### - u -

- UnauthenticatedCallback : XHdcp1x_Tx , XHdcp1x_Rx
- UnauthenticatedCallbackRef : XHdcp1x_Tx , XHdcp1x_Rx

### - v -

- V : XHdcp1x_RepeaterExchange

### - w -

- WaitForReadyPollCntFlag : XHdcp1x_Tx
- Write : XHdcp1x_PortPhyIfAdaptorS

### - x -

- XHdcp1xTimerDelay : XHdcp1x
- XHdcp1xTimerStart : XHdcp1x
- XHdcp1xTimerStop : XHdcp1x
- XORState : XHdcp1x_Rx